→ 您现在的位置: 重庆市公安局公众信息网网络安全管理
关于ThinkPHP存在远程代码执行漏洞的安全公告
来自:|时间:2018年12月28日【字号: 】 【打印】 【关闭

20181211日,国家信息安全漏洞共享平台(CNVD)收录了ThinkPHP远程代码执行漏洞(CNVD-2018-24942)。攻击者利用该漏洞,可在未授权的情况下远程执行代码。目前,漏洞利用原理已公开,厂商已发布新版本修复此漏洞。

一、漏洞情况分析

ThinkPHP采用面向对象的开发结构和MVC模式,融合了Struts的思想和TagLib(标签库)、RoRORM映射和ActiveRecord模式,是一款兼容性高、部署简单的轻量级国产PHP开发框架。

2018129日,ThinkPHP团队发布了版本更新信息,修复一个远程代码执行漏洞。该漏洞是由于框架对控制器名没有进行足够的检测,导致在没有开启强制路由的情况下可远程执行代码。攻击者利用该漏洞,可在未经授权的情况下,对目标网站进行远程命令执行攻击。

CNVD对该漏洞的综合评级为“高危”。

二、漏洞影响范围

漏洞影响的产品版本包括:

ThinkPHP 5.05.1版本。

CNVD秘书处对使用ThinkPHP框架的网站服务器进行探测,888真人赌博:数据显示全球使用ThinkPHP框架的服务器规模共有4.3万;按国家分布情况来看,分布前三的分别是中国(3.9万)、美国(4187)和加拿大(471)。

三、漏洞处置建议

目前,ThinkPHP厂商已发布新版本修复此漏洞,CNVD建议用户立即升级至最新版本。
网上办事导航 | 招警信息 | 政府公开信箱 | 有奖举报
首页